Bug 969111 - Review Request: libxdiff - Basic functionality to create difference/patches in binary and text
Review Request: libxdiff - Basic functionality to create difference/patches i...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Douglas Schilling Landgraf
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 867959
  Show dependency treegraph
 
Reported: 2013-05-30 12:44 EDT by Tom "spot" Callaway
Modified: 2013-06-19 00:37 EDT (History)
4 users (show)

See Also:
Fixed In Version: libxdiff-1.0-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-18 02:11:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dougsland: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2013-05-30 12:44:37 EDT
Spec URL: http://spot.fedorapeople.org/libxdiff.spec
SRPM URL: http://spot.fedorapeople.org/libxdiff-1.0-1.fc19.src.rpm
Description: 
The LibXDiff library implements basic and yet complete functionalities to
create file differences/patches to both binary and text files. The library
uses memory files as file abstraction to achieve both performance and
portability. For binary files, LibXDiff implements both (with some
modification) the algorithm described in File System Support for Delta
Compression by Joshua P. MacDonald, and the algorithm described in
Fingerprinting By Random Polynomials by Michael O. Rabin. While for text
files it follows directives described in An O(ND) Difference Algorithm
and Its Variations by Eugene W. Myers.

This is a merged fork of the forks of the original libxdiff (0.23) found
in the git and libgit2 source code, converted into a shared library.

Fedora Account System Username: spot

Koji (Rawhide) Scratch Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5442476
Comment 1 Douglas Schilling Landgraf 2013-05-30 15:03:37 EDT
Hi Tom,

I cannot download Source0. Are you able? I will try later today, might be a problem with github server.

Cheers
Douglas
Comment 2 Tom "spot" Callaway 2013-05-30 15:12:19 EDT
Try using wget, if you try that link in a browser, it may not work.
Comment 3 Douglas Schilling Landgraf 2013-05-30 18:11:13 EDT
Hi Tom,

It worked now. Reviewed manually + fedora-review tool.

[OK] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review

Rpmlint
-------
Checking: libxdiff-1.0-1.fc18.x86_64.rpm
          libxdiff-devel-1.0-1.fc18.x86_64.rpm
libxdiff.x86_64: W: spelling-error %description -l en_US functionalities -> functionalists, functionality, functionalist
libxdiff-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint libxdiff-devel libxdiff
libxdiff-devel.x86_64: W: no-documentation
libxdiff.x86_64: W: spelling-error %description -l en_US functionalities -> functionalists, functionality, functionalist
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

Above warnings can be ignored.

[OK] MUST: The package must be named according to the Package Naming Guidelines

[OK] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.

[OK] MUST: The package must meet the Packaging Guidelines .

[OK] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines

[OK] MUST: The License field in the package spec file must match the actual license.

[OK] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc

[OK] MUST: The spec file must be written in American English

[OK] MUST: The spec file for the package MUST be legible

[OK] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

  CHECKSUM(SHA256) this package     : 667751e2e11971765a421d8d20e038ee2d4122d784ccf8da479cf6f578252159
  CHECKSUM(SHA256) upstream package : 667751e2e11971765a421d8d20e038ee2d4122d784ccf8da479cf6f578252159

[OK] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture

[OK] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

[OK] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.

[OK] MUST: Packages must NOT bundle copies of system libraries

[OK] MUST: A Fedora package must not list a file more than once in the spec file's %files listings

[OK] MUST: Each package must consistently use macros.

[OK] MUST: Development files must be in a -devel package.

[OK] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.

[OK] MUST: All filenames in rpm packages must be valid UTF-8.


[OK] SHOULD: Packager, Vendor, PreReq, Copyright tags should not be in spec file

[OK] SHOULD: Sources can be downloaded from URI in Source: tag

[OK] SHOULD: Reviewer should test that the package builds in mock.

[OK] SHOULD: Buildroot is not present

[OK] SHOULD: Package functions as described.

[OK] SHOULD: Latest version is packaged.

[OK] SHOULD: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)

[OK] SHOULD: Dist tag is present.

[OK] SHOULD: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.

[OK] SHOULD: Uses parallel make.

[OK] SHOULD: The placement of pkgconfig(.pc) files are correct.

[OK] SHOULD: SourceX tarball generation or download is documented.

[OK] SHOULD: SourceX is a working URL.

[OK] SHOULD: Spec use %global instead of %define.

Status: APPROVED
Comment 4 Tom "spot" Callaway 2013-05-31 14:40:24 EDT
New Package SCM Request
=======================
Package Name: libxdiff
Short Description: Basic functionality to create difference/patches in binary and text
Owners: spot
Branches: f17 f18 f19
InitialCC:
Comment 5 Gwyn Ciesla 2013-06-03 06:28:52 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-06-03 09:32:18 EDT
libxdiff-1.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libxdiff-1.0-1.fc18
Comment 7 Fedora Update System 2013-06-03 09:32:34 EDT
libxdiff-1.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libxdiff-1.0-1.fc17
Comment 8 Fedora Update System 2013-06-03 09:32:45 EDT
libxdiff-1.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libxdiff-1.0-1.fc19
Comment 9 Fedora Update System 2013-06-04 17:06:22 EDT
libxdiff-1.0-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2013-06-18 02:11:07 EDT
libxdiff-1.0-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 11 Fedora Update System 2013-06-19 00:34:27 EDT
libxdiff-1.0-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 12 Fedora Update System 2013-06-19 00:37:00 EDT
libxdiff-1.0-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.